import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
inference_application_template = client.cloud.inference.applications.templates.get(
"26f1kl-.n.71",
)
print(inference_application_template.components)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
inferenceApplicationTemplate, err := client.Cloud.Inference.Applications.Templates.Get(context.TODO(), "26f1kl-.n.71")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", inferenceApplicationTemplate.Components)
}
curl --request GET \
--url https://api.gcore.com/cloud/v3/inference/applications/catalog/{application_name} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v3/inference/applications/catalog/{application_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"components": {
"model": {
"description": "Llama 3.2 1B is a multilingual large language model developed by Meta.",
"display_name": "Llama 3.2 1B",
"exposable": true,
"license_url": "https://example.com/license",
"parameters": {
"prefix_cache": {
"default_value": "1",
"description": "Controls automatic prefix caching; set to 1 to speed up inference for repetitive prompts, or 0 to disable for diverse inputs.",
"display_name": "prefix_cache",
"examples": [
"0",
"1"
]
}
},
"readme": "Detailed documentation",
"required": true,
"suitable_flavors": [
{
"name": "inference-16vcpu-232gib-1xh100-80gb"
}
]
}
},
"cover_url": "https://cdn.example.com",
"description": "This is a demo application",
"display_name": "Llama-3.2-1B-Instruct",
"name": "demo-app",
"readme": "Detailed documentation",
"tags": {
"category": "Model",
"model_docs_endpoint": "/docs",
"model_inference_engine": "vllm",
"model_owner": "Meta",
"model_type": "Text Generation"
}
}Get inference application template
Retrieves detailed information about a specific machine learning application template from the catalog. The response includes the application’s metadata, documentation, tags, and a complete set of components with configuration options, compatible flavors, and deployment capabilities — all necessary for building and customizing an AI application.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
inference_application_template = client.cloud.inference.applications.templates.get(
"26f1kl-.n.71",
)
print(inference_application_template.components)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
inferenceApplicationTemplate, err := client.Cloud.Inference.Applications.Templates.Get(context.TODO(), "26f1kl-.n.71")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", inferenceApplicationTemplate.Components)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Name of application in catalog
^[a-z0-9-.]{1,63}$Response
OK
Configurable components of the application
Show child attributes
Show child attributes
{ "model": { "description": "Llama 3.2 1B is a multilingual large language model developed by Meta.", "display_name": "Llama 3.2 1B", "exposable": true, "license_url": "https://example.com/license", "parameters": { "prefix_cache": { "default_value": "1", "description": "Controls automatic prefix caching; set to 1 to speed up inference for repetitive prompts, or 0 to disable for diverse inputs.", "display_name": "prefix_cache", "examples": ["0", "1"] } }, "readme": "Detailed documentation", "required": true, "suitable_flavors": [ { "name": "inference-16vcpu-232gib-1xh100-80gb" } ] } }
URL to the application's cover image
"https://cdn.example.com"
Brief overview of the application
"This is a demo application"
Human-readable name of the application
"Llama-3.2-1B-Instruct"
Unique application identifier in the catalog
"demo-app"
Detailed documentation or instructions
"Detailed documentation"
Categorization key-value pairs
Show child attributes
Show child attributes
{ "category": "Model", "model_docs_endpoint": "/docs", "model_inference_engine": "vllm", "model_owner": "Meta", "model_type": "Text Generation" }
Was this page helpful?